
******************************************************************
*
*  Include territorial variable in maximal utilities
*
******************************************************************


clear all

use "/Users/dbcarter/Dropbox/StrategicTerror/IO_Revisions/master_repdata1.dta"


logit dv4e ln_civ_killinjurearrest_sa_m2 ln_group_killinjureconvict_sa_m2 territorial ln_rgdpch g_unknown_id gov_lr dv4yrs if democ_dum==1 & gov_sec_target==0, cl(ccode)

predict p4



logit dv6e ln_civ_killinjurearrest_sa_m2 ln_group_killinjureconvict_sa_m2 territorial ln_rgdpch g_unknown_id gov_lr dv6yrs if democ_dum==1 & gov_sec_target==1, cl(ccode)

predict p6




* Generate Variables for Group

gen p3=1-p4

gen con_23=p3

gen g_unknown_id_23=g_unknown_id*p3

gen ln_civ_kill_injure_23= ln_civ_kill_injure*p3

gen ln_govt_kill_injure_all_23= ln_govt_kill_injure_all*p3

gen gov_lr_23=gov_lr*p3

gen gov_lr_24=gov_lr*p4

gen con_24=p4

gen ln_civ_kill_injure_24= ln_civ_kill_injure*p4

gen ln_govt_kill_injure_all_24= ln_govt_kill_injure_all*p4


gen ln_civ_killinjurearrest_saL_24= ln_civ_killinjurearrest_sa_m2*p4

gen ln_gr_killinjureconvict_saL_24= ln_group_killinjureconvict_sa_m2*p4

gen territorial_24=territorial*p4

gen territorial_23=territorial*p3


gen dv4yrs_24= dv4yrs*p4

gen g_unknown_id_24=g_unknown_id*p4


gen p5=1-p6

gen g_unknown_id_25=g_unknown_id*p5

gen gov_lr_25=gov_lr*p5

gen ln_civ_kill_injure_25= ln_civ_kill_injure*p5

gen ln_govt_kill_injure_all_25= ln_govt_kill_injure_all*p5


gen con_25=1-p6

gen con_26=p6


gen ln_civ_kill_injure_26= ln_civ_kill_injure*p6

gen ln_govt_kill_injure_all_26= ln_govt_kill_injure_all*p6

gen ln_civ_killinjurearrest_saL_26= ln_civ_killinjurearrest_sa_m2*p6

gen ln_gr_killinjureconvict_saL_26= ln_group_killinjureconvict_sa_m2*p6


gen dv6yrs_26= dv6yrs*p6

gen territorial_26=territorial*p6

gen territorial_25=territorial*p5

gen gov_lr_26=gov_lr*p6

gen g_unknown_id_26=g_unknown_id*p6


** Create multinomial DV for group **

gen DVM= gov_sec_target

replace DVM=DVM+1

replace DVM=0 if dv0==1

* Generate alternative unknown group variable

replace territorial_24= terr_dist if DVM==0

replace territorial_26= terr_dist if DVM==0

replace territorial_23= terr_dist if DVM==0

replace territorial_25= terr_dist if DVM==0


replace g_unknown_id_23= uid if DVM==0

replace g_unknown_id_24= uid if DVM==0

replace g_unknown_id_25= uid if DVM==0

replace g_unknown_id_26= uid if DVM==0

replace con_23=1 if DVM==0

replace con_24=0 if DVM==0


replace ln_civ_kill_injure_23 = ln_civ_kill_injure_i1 if DVM==0

replace ln_civ_kill_injure_24 = ln_civ_kill_injure_i1 if DVM==0

replace dv4yrs_24 = dv4cyrs if DVM==0

replace con_25 =1 if DVM==0

replace con_26 =0 if DVM==0

replace gov_lr_25= gov_lr if DVM==0

replace gov_lr_24= gov_lr if DVM==0

replace gov_lr_26= gov_lr if DVM==0

replace ln_govt_kill_injure_all_25= ln_govt_kill_injure_all_i1 if DVM==0

replace ln_govt_kill_injure_all_26= ln_govt_kill_injure_all_i1 if DVM==0

replace ln_civ_killinjurearrest_saL_26= ln_civ_killinjurearrest_sa_m2 if DVM==0

replace ln_gr_killinjureconvict_saL_26= ln_group_killinjureconvict_sa_m2 if DVM==0

replace dv6yrs_26= dv6cyrs if DVM==0

replace ln_civ_killinjurearrest_saL_24= ln_civ_killinjurearrest_sa_m2 if DVM==0

replace ln_gr_killinjureconvict_saL_24= ln_group_killinjureconvict_sa_m2 if DVM==0

replace ln_civ_kill_injure_25=0 if DVM==0

replace ln_civ_kill_injure_26=0 if DVM==0

* Define constraints

constraint define 1 [2]g_unknown_id_23=0

constraint define 2 [2]con_23 =0

constraint define 3 [2]ln_civ_kill_injure_24 =0

constraint define 4 [2]dv4yrs_24 =0

constraint define 5 [1]con_25 =0

constraint define 6 [1]gov_lr_26 =0

constraint define 7 [1]ln_govt_kill_injure_all_26 =0

constraint define 8 [1]ln_civ_killinjurearrest_saL_26 =0

constraint define 9 [1]ln_gr_killinjureconvict_saL_26 =0

constraint define 10 [1]dv6yrs_26=0

constraint define 11 [1]ln_civ_kill_injure_25 =0

constraint define 12 [2]ln_civ_killinjurearrest_saL_24 =0

constraint define 13 [2]ln_gr_killinjureconvict_saL_24 =0

constraint define 14 [1]ln_civ_kill_injure_26 =0

constraint define 15 [2]gov_lr_24 =0

constraint define 16 [2]g_unknown_id_23=0

constraint define 17 [1]g_unknown_id_25=0

constraint define 18 [2]territorial_24=0

constraint define 19 [1]territorial_26=0

constraint define 20 [2]g_unknown_id_24=0

constraint define 21 [1]g_unknown_id_26=0

constraint define 22 [2]ln_civ_kill_injure_23 =0

constraint define 23 [1]ln_govt_kill_injure_all_25 =0

constraint define 24 [1]gov_lr_25 =0

constraint define 25 [2]territorial_23=0

constraint define 26 [1]territorial_25=0


* Logged and lagged govt caused casualties (main result)


mlogit DVM con_23 ln_civ_kill_injure_23 g_unknown_id_24 ln_civ_kill_injure_24 ln_civ_killinjurearrest_saL_24 ln_gr_killinjureconvict_saL_24 territorial_24 gov_lr_24 dv4yrs_24 con_25 g_unknown_id_25 territorial_25 ln_govt_kill_injure_all_25 gov_lr_25 ln_govt_kill_injure_all_26 g_unknown_id_26 ln_civ_killinjurearrest_saL_26 ln_gr_killinjureconvict_saL_26 territorial_26 gov_lr_26 dv6yrs_26 if democ_dum!=0, noconstant base(0) constraints(1/26) iter(40) vce(bs, reps(500) reject(e(converged)!=1))




